﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Core.Layers;

namespace CompositeChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Declare a composite chart type
            this.ultraChart1.ChartType = ChartType.Composite;
            
            //Create a chart area
            ChartArea area = new ChartArea();
            this.ultraChart1.CompositeChart.ChartAreas.Add(area);

            //Create 6 different Y axis.
            // All 6 Y axis has data type - Numeric 
            AxisItem axis1 = new AxisItem();
            axis1.Extent = 20;
            axis1.DataType = AxisDataType.Numeric;
            axis1.Labels.ItemFormatString = "<DATA_VALUE:##.##>";
            axis1.OrientationType = AxisNumber.Y_Axis;
            axis1.SetLabelAxisType = SetLabelAxisType.DateData;


            //By defaut the AxisRangeType = Automatic
            //You are able to set the axis menually with the code:
            axis1.RangeType = AxisRangeType.Custom;
            axis1.RangeMin = 1;
            axis1.RangeMax = 100;
            axis1.LineColor = Color.Red;
            area.Axes.Add(axis1);

    
            AxisItem axisX = new AxisItem();
            axisX.DataType = AxisDataType.String;
            axisX.Labels.ItemFormatString = "<ITEM_LABEL>";
            axisX.OrientationType = AxisNumber.X_Axis;
            axisX.SetLabelAxisType = SetLabelAxisType.ContinuousData;
            area.Axes.Add(axisX);
            axisX.ScrollScale.Visible = true;


            //Create a ChartLayer for each series
            ChartLayerAppearance myColumnLayer = new ChartLayerAppearance();
            myColumnLayer.ChartType = ChartType.LineChart;
            myColumnLayer.ChartArea = area;

            ChartLayerAppearance myColumnLayer2 = new ChartLayerAppearance();
            myColumnLayer2.ChartType = ChartType.AreaChart;
            myColumnLayer2.ChartArea = area;

       

            //Create a DataTable with sample data
            //This data will be used like DataSource for our composite chart
            DataTable dt = new DataTable();
            dt.Columns.Add("LabCol");
            dt.Columns.Add("Monday");
            dt.Columns.Add("Tuesday");
            dt.Columns.Add("Wednesday");
            dt.Columns.Add("Thursday");
            dt.Columns.Add("Firday");

            dt.Rows.Add("Lab1", 30, 10);
            dt.Rows.Add("Lab2", 40, 35);
            dt.Rows.Add("Lab3", 50, 40);
            dt.Rows.Add("Lab4", 45, 40);
            dt.Rows.Add("Lab5", 70, 55);
            dt.Rows.Add("Lab6", 60, 45);


        

            //Create 6 different Series
            //One possible approach to for DataBinding
            NumericSeries series1 = new NumericSeries();
            series1.DataBind(dt, "Monday", "LabCol");
            series1.PEs.Add(new PaintElement(Color.Red));
            series1.Label = "Test";
            ultraChart1.Tooltips.FormatString = "<SERIES_LABEL:MMM yyyy>" + Environment.NewLine + "<ITEM_LABEL>: <DATA_VALUE:00.##>";



            myColumnLayer.Series.Add(series1);
            ultraChart1.CompositeChart.Series.Add(series1);
            

            //Other possible approach for DataBinding
            NumericSeries series2 = new NumericSeries();
            series2.Label = "Lab2";
            series2.Data.LabelColumn = "LabCol";
            series2.Data.ValueColumn = "Tuesday";
            series2.Data.DataSource = dt;
            series2.DataBind();
            series2.PEs.Add(new PaintElement(Color.Blue));
            myColumnLayer2.Series.Add(series2);
            ultraChart1.CompositeChart.Series.Add(series2);
            

            // Set axis for each Chart Layer
            myColumnLayer.AxisX = axisX;
            myColumnLayer.AxisY = axis1;
            this.ultraChart1.CompositeChart.ChartLayers.Add(myColumnLayer);

            myColumnLayer2.AxisX = axisX;
            myColumnLayer2.AxisY = axis1;
            this.ultraChart1.CompositeChart.ChartLayers.Add(myColumnLayer2);

         
        }
    }
}